# $Id$
divert(-1)

# Like the original cf/cf/submit.mc, but with 'nocanonify' and
# 'use_ct_file' features.

# Since Solaris 11 we expect, that client machines have a sendmail server
# running in local mode (-bl), which does all processing as needed (see 
# sendmail.mc).

# To activate this file, do:
#	cp submit.mc /etc/mail/
#	svccfg -s sendmail-client:default \
#		'setprop config/path_to_submit_mc = "/etc/mail/submit.mc"'
#	svccfg -s sendmail-client:default 'setprop config/include_info = true'
#	svccfg -s sendmail-client:default refresh

# This should regenerate the /etc/mail/submit.cf every time the sendmail-client
# service gets restarted and the content of the submit.mc has been changed.
# Also it avoids, that OS updates overwrite the generated sumbit.cf file.

divert(0)
define(`__OSTYPE__',`')dnl dirty hack to keep proto.m4 from complaining
define(`confCF_VERSION', `Submit')dnl
define(`confCT_FILE',`-o /etc/mail/trusted-users')dnl
define(`confDONT_INIT_GROUPS', `True')dnl
define(`confDONT_EXPAND_CNAMES', `True')dnl
FEATURE(`nocanonify')dnl
FEATURE(`use_ct_file')dnl
dnl If you use IPv6 only, change [127.0.0.1] to [IPv6:::1]
FEATURE(`nouucp',`reject')dnl
FEATURE(`accept_unresolvable_domains')dnl
FEATURE(`msp', `[127.0.0.1]')dnl
